Bug 251356 - Unplugging an USB device crashes solid
Summary: Unplugging an USB device crashes solid
Status: RESOLVED DUPLICATE of bug 302243
Alias: None
Product: solid
Classification: Unclassified
Component: libsolid-udev (show other bugs)
Version: 4.9.80 (beta 1)
Platform: Compiled Sources Linux
: NOR crash (vote)
Target Milestone: 4.11
Assignee: Alex Fiestas
URL:
Keywords:
: 251935 252788 262413 266383 273568 281086 291415 298005 313286 (view as bug list)
Depends on:
Blocks:
 
Reported: 2010-09-15 19:07 UTC by András Manţia
Modified: 2013-07-30 21:08 UTC (History)
18 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
New crash information added by DrKonqi (6.64 KB, text/plain)
2010-09-20 02:14 UTC, Balcaen John
Details
New crash information added by DrKonqi (7.34 KB, text/plain)
2010-09-28 17:21 UTC, Olivier LAHAYE
Details
New crash information added by DrKonqi (9.42 KB, text/plain)
2011-01-05 19:14 UTC, Artur Souza (MoRpHeUz)
Details
New crash information added by DrKonqi (4.83 KB, text/plain)
2011-01-08 20:56 UTC, Francesco Riosa
Details
New crash information added by DrKonqi (7.45 KB, text/plain)
2012-10-22 01:43 UTC, Simon Andric
Details

Note You need to log in before you can comment on or make changes to this bug.
Description András Manţia 2010-09-15 19:07:10 UTC
Application: knotify4 (4.0)
KDE Platform Version: 4.5.68 (4.6 >= 20100912) (Compiled from sources)
Qt Version: 4.7.0
Operating System: Linux 2.6.34.4-0.1-desktop x86_64
Distribution: "openSUSE 11.3 (x86_64)"

-- Information about the crash:
Plug an USB device, wait for the notification popup, unplug it (no need to mount/unmount): solid crashes brining down knotify4 and plasma-desktop. Happens in trunk as of today, Qt 4.7 branch.

The crash can be reproduced every time.

-- Backtrace:
Application: KNotify (knotify4), signal: Aborted
[Current thread is 1 (Thread 0x7f51a3da7760 (LWP 15320))]

Thread 6 (Thread 0x7f5192e09710 (LWP 15321)):
#0  0x00007f51a03ba6b3 in poll () from /lib64/libc.so.6
#1  0x00007f519ce1cfd4 in ?? () from /usr/lib64/libglib-2.0.so.0
#2  0x00007f519ce1d510 in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#3  0x00007f51a24391b8 in QEventDispatcherGlib::processEvents (this=0x794340, flags=...) at /home/andris/development/sources/kde-trunk/qt-copy/src/corelib/kernel/qeventdispatcher_glib.cpp:417
#4  0x00007f51a23fdc56 in QEventLoop::processEvents (this=0x7f5192e08d90, flags=...) at /home/andris/development/sources/kde-trunk/qt-copy/src/corelib/kernel/qeventloop.cpp:149
#5  0x00007f51a23fddaa in QEventLoop::exec (this=0x7f5192e08d90, flags=...) at /home/andris/development/sources/kde-trunk/qt-copy/src/corelib/kernel/qeventloop.cpp:201
#6  0x00007f51a22e07e2 in QThread::exec (this=0x774a70) at /home/andris/development/sources/kde-trunk/qt-copy/src/corelib/thread/qthread.cpp:490
#7  0x00007f51a23dca54 in QInotifyFileSystemWatcherEngine::run (this=0x774a70) at /home/andris/development/sources/kde-trunk/qt-copy/src/corelib/io/qfilesystemwatcher_inotify.cpp:248
#8  0x00007f51a22e2fcc in QThreadPrivate::start (arg=0x774a70) at /home/andris/development/sources/kde-trunk/qt-copy/src/corelib/thread/qthread_unix.cpp:274
#9  0x00007f51a2030a4f in start_thread () from /lib64/libpthread.so.0
#10 0x00007f51a03c382d in clone () from /lib64/libc.so.6
#11 0x0000000000000000 in ?? ()

Thread 5 (Thread 0x7f518b548710 (LWP 15441)):
#0  0x00007f51a2035709 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f5191a06951 in metronom_sync_loop () from /usr/lib64/libxine.so.1
#2  0x00007f51a2030a4f in start_thread () from /lib64/libpthread.so.0
#3  0x00007f51a03c382d in clone () from /lib64/libc.so.6
#4  0x0000000000000000 in ?? ()

Thread 4 (Thread 0x7f518ad47710 (LWP 15452)):
#0  0x00007fff469ff7da in ?? ()
#1  0x00007f519d0c42a3 in clock_gettime () from /lib64/librt.so.1
#2  0x00007f51a234adca in do_gettime (sec=0x7f518ad469c8, frac=0x7f518ad469c0) at /home/andris/development/sources/kde-trunk/qt-copy/src/corelib/tools/qelapsedtimer_unix.cpp:123
#3  0x00007f51a234ae26 in qt_gettime () at /home/andris/development/sources/kde-trunk/qt-copy/src/corelib/tools/qelapsedtimer_unix.cpp:140
#4  0x00007f51a243b7ea in QTimerInfoList::updateCurrentTime (this=0x90b960) at /home/andris/development/sources/kde-trunk/qt-copy/src/corelib/kernel/qeventdispatcher_unix.cpp:339
#5  0x00007f51a243bc9e in QTimerInfoList::timerWait (this=0x90b960, tm=...) at /home/andris/development/sources/kde-trunk/qt-copy/src/corelib/kernel/qeventdispatcher_unix.cpp:442
#6  0x00007f51a24384d8 in timerSourcePrepareHelper (src=0x90b900, timeout=0x7f518ad46b4c) at /home/andris/development/sources/kde-trunk/qt-copy/src/corelib/kernel/qeventdispatcher_glib.cpp:136
#7  0x00007f51a243867d in timerSourcePrepare (source=0x90b900, timeout=0x7f518ad46b4c) at /home/andris/development/sources/kde-trunk/qt-copy/src/corelib/kernel/qeventdispatcher_glib.cpp:169
#8  0x00007f519ce1bf7f in g_main_context_prepare () from /usr/lib64/libglib-2.0.so.0
#9  0x00007f519ce1ce69 in ?? () from /usr/lib64/libglib-2.0.so.0
#10 0x00007f519ce1d510 in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#11 0x00007f51a24391b8 in QEventDispatcherGlib::processEvents (this=0x86b3b0, flags=...) at /home/andris/development/sources/kde-trunk/qt-copy/src/corelib/kernel/qeventdispatcher_glib.cpp:417
#12 0x00007f51a23fdc56 in QEventLoop::processEvents (this=0x7f518ad46d70, flags=...) at /home/andris/development/sources/kde-trunk/qt-copy/src/corelib/kernel/qeventloop.cpp:149
#13 0x00007f51a23fddaa in QEventLoop::exec (this=0x7f518ad46d70, flags=...) at /home/andris/development/sources/kde-trunk/qt-copy/src/corelib/kernel/qeventloop.cpp:201
#14 0x00007f51a22e07e2 in QThread::exec (this=0x89c1a0) at /home/andris/development/sources/kde-trunk/qt-copy/src/corelib/thread/qthread.cpp:490
#15 0x00007f5191c676d5 in Phonon::Xine::XineThread::run() () from /opt/kde4/lib64/kde4/plugins/phonon_backend/phonon_xine.so
#16 0x00007f51a22e2fcc in QThreadPrivate::start (arg=0x89c1a0) at /home/andris/development/sources/kde-trunk/qt-copy/src/corelib/thread/qthread_unix.cpp:274
#17 0x00007f51a2030a4f in start_thread () from /lib64/libpthread.so.0
#18 0x00007f51a03c382d in clone () from /lib64/libc.so.6
#19 0x0000000000000000 in ?? ()

Thread 3 (Thread 0x7f518a33c710 (LWP 15458)):
#0  0x00007f51a03ba6b3 in poll () from /lib64/libc.so.6
#1  0x00007f518a3419d7 in ao_alsa_handle_event_thread () from /usr/lib64/xine/plugins/1.29/xineplug_ao_out_alsa.so
#2  0x00007f51a2030a4f in start_thread () from /lib64/libpthread.so.0
#3  0x00007f51a03c382d in clone () from /lib64/libc.so.6
#4  0x0000000000000000 in ?? ()

Thread 2 (Thread 0x7f5189b3b710 (LWP 15459)):
#0  0x00007f51a203539c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f5191a1896b in ao_loop () from /usr/lib64/libxine.so.1
#2  0x00007f51a2030a4f in start_thread () from /lib64/libpthread.so.0
#3  0x00007f51a03c382d in clone () from /lib64/libc.so.6
#4  0x0000000000000000 in ?? ()

Thread 1 (Thread 0x7f51a3da7760 (LWP 15320)):
[KCrash Handler]
#6  0x00007f51a03259e5 in raise () from /lib64/libc.so.6
#7  0x00007f51a0326ee6 in abort () from /lib64/libc.so.6
#8  0x00007f51a22d7f18 in qt_message_output (msgType=QtFatalMsg, 
    buf=0x8c5468 "ASSERT: \"dev->backendObject()!=0\" in file /home/andris/development/sources/kde-trunk/kdelibs/solid/solid/devicemanager.cpp, line 200")
    at /home/andris/development/sources/kde-trunk/qt-copy/src/corelib/global/qglobal.cpp:2259
#9  0x00007f51a22d8094 in qt_message(QtMsgType, const char *, typedef __va_list_tag __va_list_tag *) (msgType=QtFatalMsg, msg=0x7f51a2480ba8 "ASSERT: \"%s\" in file %s, line %d", ap=0x7fff4697f290)
    at /home/andris/development/sources/kde-trunk/qt-copy/src/corelib/global/qglobal.cpp:2305
#10 0x00007f51a22d8902 in qFatal (msg=0x7f51a2480ba8 "ASSERT: \"%s\" in file %s, line %d") at /home/andris/development/sources/kde-trunk/qt-copy/src/corelib/global/qglobal.cpp:2488
#11 0x00007f51a22d7acb in qt_assert (assertion=0x7f51a2ffe9f4 "dev->backendObject()!=0", file=0x7f51a2ffe758 "/home/andris/development/sources/kde-trunk/kdelibs/solid/solid/devicemanager.cpp", 
    line=200) at /home/andris/development/sources/kde-trunk/qt-copy/src/corelib/global/qglobal.cpp:2004
#12 0x00007f51a2f9972e in Solid::DeviceManagerPrivate::_k_deviceRemoved (this=0x78fd90, udi=...) at /home/andris/development/sources/kde-trunk/kdelibs/solid/solid/devicemanager.cpp:200
#13 0x00007f51a2f99f66 in Solid::DeviceManagerPrivate::qt_metacall (this=0x78fd90, _c=QMetaObject::InvokeMetaMethod, _id=1, _a=0x7fff4697f530)
    at /home/andris/development/build/kde-trunk/kdelibs/solid/solid/devicemanager_p.moc:80
#14 0x00007f51a2408267 in QMetaObject::metacall (object=0x78fd90, cl=QMetaObject::InvokeMetaMethod, idx=7, argv=0x7fff4697f530)
    at /home/andris/development/sources/kde-trunk/qt-copy/src/corelib/kernel/qmetaobject.cpp:237
#15 0x00007f51a241d09d in QMetaObject::activate (sender=0x7c75c0, m=0x7f51a323c840, local_signal_index=1, argv=0x7fff4697f530)
    at /home/andris/development/sources/kde-trunk/qt-copy/src/corelib/kernel/qobject.cpp:3272
#16 0x00007f51a2faf89b in Solid::Ifaces::DeviceManager::deviceRemoved (this=0x7c75c0, _t1=...) at /home/andris/development/build/kde-trunk/kdelibs/solid/solid/ifaces/devicemanager.moc:94
#17 0x00007f51a2fe8458 in Solid::Backends::UDisks::UDisksManager::slotDeviceRemoved (this=0x7c75c0, opath=...)
    at /home/andris/development/sources/kde-trunk/kdelibs/solid/solid/backends/udisks/udisksmanager.cpp:163
#18 0x00007f51a2fe88b8 in Solid::Backends::UDisks::UDisksManager::qt_metacall (this=0x7c75c0, _c=QMetaObject::InvokeMetaMethod, _id=1, _a=0x7fff4697f8b0)
    at /home/andris/development/build/kde-trunk/kdelibs/solid/solid/backends/udisks/udisksmanager.moc:80
#19 0x00007f51a2408267 in QMetaObject::metacall (object=0x7c75c0, cl=QMetaObject::InvokeMetaMethod, idx=7, argv=0x7fff4697f8b0)
    at /home/andris/development/sources/kde-trunk/qt-copy/src/corelib/kernel/qmetaobject.cpp:237
#20 0x00007f51a241d09d in QMetaObject::activate (sender=0x7c75e0, m=0x7867c0, local_signal_index=6, argv=0x7fff4697f8b0)
    at /home/andris/development/sources/kde-trunk/qt-copy/src/corelib/kernel/qobject.cpp:3272
#21 0x00007f51a27d2ee4 in QDBusInterfacePrivate::metacall (this=0x7985b0, c=QMetaObject::InvokeMetaMethod, id=6, argv=0x7fff4697f8b0)
    at /home/andris/development/sources/kde-trunk/qt-copy/src/dbus/qdbusinterface.cpp:278
#22 0x00007f51a27d2de7 in QDBusInterface::qt_metacall (this=0x7c75e0, _c=QMetaObject::InvokeMetaMethod, _id=6, _a=0x7fff4697f8b0)
    at /home/andris/development/sources/kde-trunk/qt-copy/src/dbus/qdbusinterface.cpp:265
#23 0x00007f51a27b6d8d in QDBusConnectionPrivate::deliverCall (this=0x7aa880, object=0x7c75e0, msg=..., metaTypes=..., slotIdx=11)
    at /home/andris/development/sources/kde-trunk/qt-copy/src/dbus/qdbusintegrator.cpp:919
#24 0x00007f51a27c2eb1 in QDBusCallDeliveryEvent::placeMetaCall (this=0xfd9470, object=0x7c75e0) at /home/andris/development/sources/kde-trunk/qt-copy/src/dbus/qdbusintegrator_p.h:103
#25 0x00007f51a24189bb in QObject::event (this=0x7c75e0, e=0xfd9470) at /home/andris/development/sources/kde-trunk/qt-copy/src/corelib/kernel/qobject.cpp:1211
#26 0x00007f51a1282ea4 in QApplicationPrivate::notify_helper (this=0x6524b0, receiver=0x7c75e0, e=0xfd9470) at /home/andris/development/sources/kde-trunk/qt-copy/src/gui/kernel/qapplication.cpp:4432
#27 0x00007f51a1280476 in QApplication::notify (this=0x7fff469808d0, receiver=0x7c75e0, e=0xfd9470) at /home/andris/development/sources/kde-trunk/qt-copy/src/gui/kernel/qapplication.cpp:3834
#28 0x00007f51a3725349 in KApplication::notify (this=0x7fff469808d0, receiver=0x7c75e0, event=0xfd9470) at /home/andris/development/sources/kde-trunk/kdelibs/kdeui/kernel/kapplication.cpp:310
#29 0x00007f51a24000f3 in QCoreApplication::notifyInternal (this=0x7fff469808d0, receiver=0x7c75e0, event=0xfd9470)
    at /home/andris/development/sources/kde-trunk/qt-copy/src/corelib/kernel/qcoreapplication.cpp:732
#30 0x00007f51a2403e25 in QCoreApplication::sendEvent (receiver=0x7c75e0, event=0xfd9470) at ../../include/QtCore/../../../../../sources/kde-trunk/qt-copy/src/corelib/kernel/qcoreapplication.h:215
#31 0x00007f51a240132c in QCoreApplicationPrivate::sendPostedEvents (receiver=0x0, event_type=0, data=0x62df10)
    at /home/andris/development/sources/kde-trunk/qt-copy/src/corelib/kernel/qcoreapplication.cpp:1373
#32 0x00007f51a2400f4d in QCoreApplication::sendPostedEvents (receiver=0x0, event_type=0) at /home/andris/development/sources/kde-trunk/qt-copy/src/corelib/kernel/qcoreapplication.cpp:1266
#33 0x00007f51a24398ed in QCoreApplication::sendPostedEvents () at ../../include/QtCore/../../../../../sources/kde-trunk/qt-copy/src/corelib/kernel/qcoreapplication.h:220
#34 0x00007f51a24388cc in postEventSourceDispatch (s=0x657560) at /home/andris/development/sources/kde-trunk/qt-copy/src/corelib/kernel/qeventdispatcher_glib.cpp:277
#35 0x00007f519ce1ca93 in g_main_context_dispatch () from /usr/lib64/libglib-2.0.so.0
#36 0x00007f519ce1d270 in ?? () from /usr/lib64/libglib-2.0.so.0
#37 0x00007f519ce1d510 in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#38 0x00007f51a2439195 in QEventDispatcherGlib::processEvents (this=0x62d5f0, flags=...) at /home/andris/development/sources/kde-trunk/qt-copy/src/corelib/kernel/qeventdispatcher_glib.cpp:415
#39 0x00007f51a135af0a in QGuiEventDispatcherGlib::processEvents (this=0x62d5f0, flags=...) at /home/andris/development/sources/kde-trunk/qt-copy/src/gui/kernel/qguieventdispatcher_glib.cpp:204
#40 0x00007f51a23fdc56 in QEventLoop::processEvents (this=0x7fff469807f0, flags=...) at /home/andris/development/sources/kde-trunk/qt-copy/src/corelib/kernel/qeventloop.cpp:149
#41 0x00007f51a23fddaa in QEventLoop::exec (this=0x7fff469807f0, flags=...) at /home/andris/development/sources/kde-trunk/qt-copy/src/corelib/kernel/qeventloop.cpp:201
#42 0x00007f51a24007e6 in QCoreApplication::exec () at /home/andris/development/sources/kde-trunk/qt-copy/src/corelib/kernel/qcoreapplication.cpp:1009
#43 0x00007f51a127ffee in QApplication::exec () at /home/andris/development/sources/kde-trunk/qt-copy/src/gui/kernel/qapplication.cpp:3708
#44 0x000000000040986f in main (argc=1, argv=0x7fff46980c68) at /home/andris/development/sources/kde-trunk/kdebase/runtime/knotify/main.cpp:73

Possible duplicates by query: bug 197338.

Reported using DrKonqi
Comment 1 Balcaen John 2010-09-20 02:14:45 UTC
Created attachment 51815 [details]
New crash information added by DrKonqi

knotify4 (4.0) on KDE Platform 4.5.68 (4.6 >= 20100912) using Qt 4.7.0

- What I was doing when the application crashed:

I switched my android phone from working as an usb disk to charging mode only.

-- Backtrace (Reduced):
#11 0x00007fd271b9dc09 in Solid::DeviceManagerPrivate::_k_deviceRemoved (this=0x2224070, udi=...) at /usr/src/debug/kdelibs-4.5.68svn1174542/solid/solid/devicemanager.cpp:200
#12 0x00007fd271b9e1f1 in Solid::DeviceManagerPrivate::qt_metacall (this=0x2224070, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0x7fff8b23e5a0)
    at /usr/src/debug/kdelibs-4.5.68svn1174542/build/solid/solid/devicemanager_p.moc:80
[...]
#14 0x00007fd271bae0e5 in Solid::Ifaces::DeviceManager::deviceRemoved (this=<value optimized out>, _t1=<value optimized out>)
    at /usr/src/debug/kdelibs-4.5.68svn1174542/build/solid/solid/ifaces/devicemanager.moc:94
#15 0x00007fd271bd9da1 in Solid::Backends::UDisks::UDisksManager::slotDeviceRemoved (this=0x234a3d0, opath=...)
    at /usr/src/debug/kdelibs-4.5.68svn1174542/solid/solid/backends/udisks/udisksmanager.cpp:163
#16 0x00007fd271bd9e51 in Solid::Backends::UDisks::UDisksManager::qt_metacall (this=0x234a3d0, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0x7fff8b23e9f0)
    at /usr/src/debug/kdelibs-4.5.68svn1174542/build/solid/solid/backends/udisks/udisksmanager.moc:80
Comment 2 Olivier LAHAYE 2010-09-28 17:21:40 UTC
Created attachment 52048 [details]
New crash information added by DrKonqi

knotify4 (4.0) on KDE Platform 4.5.68 (4.6 >= 20100912) using Qt 4.7.0

- What I was doing when the application crashed:

Unplugged an USB key juste after it was noticed by knotify.

-- Backtrace (Reduced):
#11 0x00007f4e96072c09 in Solid::DeviceManagerPrivate::_k_deviceRemoved (this=0x1f219f0, udi=...) at /usr/src/debug/kdelibs-4.5.68svn1174542/solid/solid/devicemanager.cpp:200
#12 0x00007f4e960731f1 in Solid::DeviceManagerPrivate::qt_metacall (this=0x1f219f0, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0x7fffb74c0af0)
    at /usr/src/debug/kdelibs-4.5.68svn1174542/build/solid/solid/devicemanager_p.moc:80
[...]
#14 0x00007f4e960830e5 in Solid::Ifaces::DeviceManager::deviceRemoved (this=<value optimized out>, _t1=<value optimized out>)
    at /usr/src/debug/kdelibs-4.5.68svn1174542/build/solid/solid/ifaces/devicemanager.moc:94
#15 0x00007f4e960aeda1 in Solid::Backends::UDisks::UDisksManager::slotDeviceRemoved (this=0x20be350, opath=...)
    at /usr/src/debug/kdelibs-4.5.68svn1174542/solid/solid/backends/udisks/udisksmanager.cpp:163
#16 0x00007f4e960aee51 in Solid::Backends::UDisks::UDisksManager::qt_metacall (this=0x20be350, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0x7fffb74c0f40)
    at /usr/src/debug/kdelibs-4.5.68svn1174542/build/solid/solid/backends/udisks/udisksmanager.moc:80
Comment 3 Lukáš Tinkl 2010-10-03 16:47:26 UTC
*** Bug 251935 has been marked as a duplicate of this bug. ***
Comment 4 András Manţia 2010-10-05 12:56:26 UTC
It happens also when turning off an USB printer, so it is not mass storage specific.
Comment 5 Nikhil Marathe 2010-10-05 14:05:04 UTC
I believe this is happening because both the HAL and UDisks backends report the device as being removed, but probably refer to the same device internally and so the Q_ASSERT() call in _k_deviceRemoved fails.

This is always reproducible
Backtrace:


Thread 1 (Thread 0xb557f930 (LWP 2896)):
[KCrash Handler]
#7  0xb7898424 in __kernel_vsyscall ()
#8  0xb5da2d61 in raise () from /lib/libc.so.6
#9  0xb5da45ee in abort () from /lib/libc.so.6
#10 0xb6e0d91d in qt_message_output (msgType=QtFatalMsg, buf=0x9ef32b8 "ASSERT: \"dev->backendObject()!=0\" in file /home/nikhil/kdedev/src/KDE/kdelibs/solid/solid/devicemanager.cpp, line 205") at global/qglobal.cpp:2259
#11 0xb6e0dadf in qt_message (msgType=QtFatalMsg, msg=0xb6fb9344 "ASSERT: \"%s\" in file %s, line %d", ap=0xbf9266b4 "v\257C\267<\256C\267\315") at global/qglobal.cpp:2305
#12 0xb6e0defd in qFatal (msg=0xb6fb9344 "ASSERT: \"%s\" in file %s, line %d") at global/qglobal.cpp:2488
#13 0xb6e0d480 in qt_assert (assertion=0xb743af76 "dev->backendObject()!=0", file=0xb743ae3c "/home/nikhil/kdedev/src/KDE/kdelibs/solid/solid/devicemanager.cpp", line=205) at global/qglobal.cpp:2004
#14 0xb73d934c in Solid::DeviceManagerPrivate::_k_deviceRemoved (this=0x9a291c8, udi=...) at /home/nikhil/kdedev/src/KDE/kdelibs/solid/solid/devicemanager.cpp:205
#15 0xb73da195 in Solid::DeviceManagerPrivate::qt_metacall (this=0x9a291c8, _c=QMetaObject::InvokeMetaMethod, _id=7, _a=0xbf926848) at /home/nikhil/kdedev/build/KDE/kdelibs/solid/solid/devicemanager_p.moc:80
#16 0xb6f3dd9a in QMetaObject::metacall (object=0x9a291c8, cl=QMetaObject::InvokeMetaMethod, idx=7, argv=0xbf926848) at kernel/qmetaobject.cpp:237
#17 0xb6f52c49 in QMetaObject::activate (sender=0x9ac9330, m=0xb744fca0, local_signal_index=1, argv=0xbf926848) at kernel/qobject.cpp:3272
#18 0xb73f00d3 in Solid::Ifaces::DeviceManager::deviceRemoved (this=0x9ac9330, _t1=...) at /home/nikhil/kdedev/build/KDE/kdelibs/solid/solid/ifaces/devicemanager.moc:94
#19 0xb74248e4 in Solid::Backends::UDisks::UDisksManager::slotDeviceRemoved (this=0x9ac9330, opath=...) at /home/nikhil/kdedev/src/KDE/kdelibs/solid/solid/backends/udisks/udisksmanager.cpp:166
#20 0xb7424a65 in Solid::Backends::UDisks::UDisksManager::qt_metacall (this=0x9ac9330, _c=QMetaObject::InvokeMetaMethod, _id=7, _a=0xbf926ab4) at /home/nikhil/kdedev/build/KDE/kdelibs/solid/solid/backends/udisks/udisksmanager.moc:80
#21 0xb6f3dd9a in QMetaObject::metacall (object=0x9ac9330, cl=QMetaObject::InvokeMetaMethod, idx=7, argv=0xbf926ab4) at kernel/qmetaobject.cpp:237
#22 0xb6f52c49 in QMetaObject::activate (sender=0x9ac9340, m=0x9a82ad0, local_signal_index=6, argv=0xbf926ab4) at kernel/qobject.cpp:3272
#23 0xb70f4049 in QDBusInterfacePrivate::metacall (this=0x9ac9798, c=QMetaObject::InvokeMetaMethod, id=6, argv=0xbf926ab4) at qdbusinterface.cpp:278
#24 0xb70f3fa2 in QDBusInterface::qt_metacall (this=0x9ac9340, _c=QMetaObject::InvokeMetaMethod, _id=6, _a=0xbf926ab4) at qdbusinterface.cpp:265
#25 0xb70d7500 in QDBusConnectionPrivate::deliverCall (this=0x9a8c9b0, object=0x9ac9340, msg=..., metaTypes=..., slotIdx=11) at qdbusintegrator.cpp:909
#26 0xb70e3b94 in QDBusCallDeliveryEvent::placeMetaCall (this=0x9e090b8, object=0x9ac9340) at qdbusintegrator_p.h:103
#27 0xb6f4ec7f in QObject::event (this=0x9ac9340, e=0x9e090b8) at kernel/qobject.cpp:1211
#28 0xb620df06 in QApplicationPrivate::notify_helper (this=0x9a40080, receiver=0x9ac9340, e=0x9e090b8) at kernel/qapplication.cpp:4389
#29 0xb620b648 in QApplication::notify (this=0xbf92757c, receiver=0x9ac9340, e=0x9e090b8) at kernel/qapplication.cpp:3791
#30 0xb76ab8ab in KApplication::notify (this=0xbf92757c, receiver=0x9ac9340, event=0x9e090b8) at /home/nikhil/kdedev/src/KDE/kdelibs/kdeui/kernel/kapplication.cpp:311
#31 0xb6f36019 in QCoreApplication::notifyInternal (this=0xbf92757c, receiver=0x9ac9340, event=0x9e090b8) at kernel/qcoreapplication.cpp:732
#32 0xb6f39ae9 in QCoreApplication::sendEvent (receiver=0x9ac9340, event=0x9e090b8) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:215
#33 0xb6f370e3 in QCoreApplicationPrivate::sendPostedEvents (receiver=0x0, event_type=0, data=0x9a02e10) at kernel/qcoreapplication.cpp:1373
#34 0xb6f36d9b in QCoreApplication::sendPostedEvents (receiver=0x0, event_type=0) at kernel/qcoreapplication.cpp:1266
#35 0xb6f7025c in QCoreApplication::sendPostedEvents () at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:220
#36 0xb6f6eb14 in postEventSourceDispatch (s=0x9a3d6e0) at kernel/qeventdispatcher_glib.cpp:277
#37 0xb5788f92 in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
#38 0xb5789770 in ?? () from /usr/lib/libglib-2.0.so.0
#39 0xb5789a24 in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#40 0xb6f6fb46 in QEventDispatcherGlib::processEvents (this=0x9a3a018, flags=...) at kernel/qeventdispatcher_glib.cpp:415
#41 0xb62e78c2 in QGuiEventDispatcherGlib::processEvents (this=0x9a3a018, flags=...) at kernel/qguieventdispatcher_glib.cpp:204
#42 0xb6f333d7 in QEventLoop::processEvents (this=0xbf9274bc, flags=...) at kernel/qeventloop.cpp:149
#43 0xb6f3351c in QEventLoop::exec (this=0xbf9274bc, flags=...) at kernel/qeventloop.cpp:201
#44 0xb6f3670b in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1009
#45 0xb620b256 in QApplication::exec () at kernel/qapplication.cpp:3665
#46 0x0804fc37 in main (argc=1, argv=0xbf927704) at /home/nikhil/kdedev/src/KDE/kdebase/runtime/knotify/main.cpp:73
Comment 6 Shantanu Tushar 2010-10-08 08:44:17 UTC
This is not happening in trunk now, I tried with many devices. Has this been fixed during the Solid sprint?
Comment 7 Dario Andres 2010-11-18 18:44:13 UTC
[Comment from a bug triager]
From bug 252788 4.5.69 (4.6 >= 20100920):
- What I was doing when the application crashed:
I tore down the device using the device notifier, which was fine.  But when I
physically removed the SD card from the reader (built in to my laptop), both
KRunner and plasma-desktop crashed.  Amarok didn't crash.
The bug report also contains the shell output
Comment 8 Dario Andres 2010-11-18 18:44:23 UTC
*** Bug 252788 has been marked as a duplicate of this bug. ***
Comment 9 Artur Souza (MoRpHeUz) 2011-01-05 19:14:30 UTC
Created attachment 55620 [details]
New crash information added by DrKonqi

plasma-desktop (0.4) on KDE Platform 4.6.40 (4.7 >= 20101222) using Qt 4.7.2

- Unusual behavior I noticed:

A notification was going to be shown just before the crash

-- Backtrace (Reduced):
#11 0xb6c91473 in qt_assert (assertion=0xb50d09d5 "dev->backendObject()!=0", file=0xb50d07a8 "/usr/local/kde4/src/KDE/kdelibs/solid/solid/devicemanager.cpp", line=201) at /work/projects/qt/src/corelib/global/qglobal.cpp:2027
#12 0xb5063b13 in Solid::DeviceManagerPrivate::_k_deviceRemoved (this=0x83dfea0, udi=...) at /usr/local/kde4/src/KDE/kdelibs/solid/solid/devicemanager.cpp:201
#13 0xb5064316 in Solid::DeviceManagerPrivate::qt_metacall (this=0x83dfea0, _c=QMetaObject::InvokeMetaMethod, _id=1, _a=0xbfd2a5c8) at /usr/local/kde4/build/KDE/kdelibs/solid/solid/devicemanager_p.moc:80
[...]
#16 0xb507a421 in Solid::Ifaces::DeviceManager::deviceRemoved (this=0x8855310, _t1=...) at /usr/local/kde4/build/KDE/kdelibs/solid/solid/ifaces/devicemanager.moc:94
#17 0xb5091a21 in Solid::Backends::UDev::UDevManager::slotDeviceRemoved (this=0x8855310, device=...) at /usr/local/kde4/src/KDE/kdelibs/solid/solid/backends/udev/udevmanager.cpp:207
Comment 10 Lukáš Tinkl 2011-01-05 20:50:03 UTC
Crashing in the udev backend :) What were you doing, unplugging a USB device?
Comment 11 Mikko C. 2011-01-06 12:20:05 UTC
Both plasma desktop shell and knotify just crashed with the same bt.


[KCrash Handler]
#6  0x00007f4ebfd46455 in raise () from /lib/libc.so.6
#7  0x00007f4ebfd478d6 in abort () from /lib/libc.so.6
#8  0x00007f4ec13b5964 in qt_message_output (msgType=QtFatalMsg, buf=<value optimized out>) at global/qglobal.cpp:2282
#9  0x00007f4ec13b5afe in qt_message(QtMsgType, const char *, typedef __va_list_tag __va_list_tag *) (msgType=QtFatalMsg, msg=0x7f4ec152b8f0 "ASSERT: \"%s\" in file %s, line %d", ap=0x7fffef94eac0) at global/qglobal.cpp:2328
#10 0x00007f4ec13b5cb5 in qFatal (msg=0x765 <Address 0x765 out of bounds>) at global/qglobal.cpp:2511
#11 0x00007f4ebabad970 in Solid::DeviceManagerPrivate::_k_deviceRemoved (this=0x19f7a40, udi=...) at /var/tmp/paludis/kde-base-kdelibs-4.5.95/work/kdelibs-4.5.95/solid/solid/devicemanager.cpp:201
#12 0x00007f4ebabadf21 in Solid::DeviceManagerPrivate::qt_metacall (this=0x19f7a40, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0x7fffef94ecd0) at /var/tmp/paludis/kde-base-kdelibs-4.5.95/work/kdelibs-4.5.95_build/solid/solid/devicemanager_p.moc:80
#13 0x00007f4ec14d950a in QMetaObject::activate (sender=0x1a812a0, m=<value optimized out>, local_signal_index=<value optimized out>, argv=0xffffffffffffffff) at kernel/qobject.cpp:3272
#14 0x00007f4ebabc0145 in Solid::Ifaces::DeviceManager::deviceRemoved (this=<value optimized out>, _t1=<value optimized out>) at /var/tmp/paludis/kde-base-kdelibs-4.5.95/work/kdelibs-4.5.95_build/solid/solid/ifaces/devicemanager.moc:94
#15 0x00007f4ebabd32c5 in Solid::Backends::UDev::UDevManager::slotDeviceRemoved (this=0x1a812a0, device=<value optimized out>) at /var/tmp/paludis/kde-base-kdelibs-4.5.95/work/kdelibs-4.5.95/solid/solid/backends/udev/udevmanager.cpp:208
#16 0x00007f4ebaba905e in Solid::Backends::UDev::UDevManager::qt_metacall (this=0x1a812a0, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0x7fffef94ee60) at /var/tmp/paludis/kde-base-kdelibs-4.5.95/work/kdelibs-4.5.95_build/solid/solid/moc_udevmanager.cpp:78
#17 0x00007f4ec14d950a in QMetaObject::activate (sender=0x166fb00, m=<value optimized out>, local_signal_index=<value optimized out>, argv=0xffffffffffffffff) at kernel/qobject.cpp:3272
#18 0x00007f4ebabda5a5 in UdevQt::Client::deviceRemoved (this=<value optimized out>, _t1=<value optimized out>) at /var/tmp/paludis/kde-base-kdelibs-4.5.95/work/kdelibs-4.5.95_build/solid/solid/udevqt.moc:139
#19 0x00007f4ebabda774 in UdevQt::ClientPrivate::_uq_monitorReadyRead (this=0x19f7f50, fd=<value optimized out>) at /var/tmp/paludis/kde-base-kdelibs-4.5.95/work/kdelibs-4.5.95/solid/solid/backends/shared/udevqtclient.cpp:108
#20 0x00007f4ebabdacc8 in UdevQt::Client::qt_metacall (this=0x166fb00, _c=QMetaObject::InvokeMetaMethod, _id=5, _a=0x7fffef94f000) at /var/tmp/paludis/kde-base-kdelibs-4.5.95/work/kdelibs-4.5.95_build/solid/solid/udevqt.moc:93
#21 0x00007f4ec14d950a in QMetaObject::activate (sender=0x1acf290, m=<value optimized out>, local_signal_index=<value optimized out>, argv=0xffffffffffffffff) at kernel/qobject.cpp:3272
#22 0x00007f4ec1528aae in QSocketNotifier::activated (this=0x765, _t1=12) at .moc/debug-shared/moc_qsocketnotifier.cpp:89
#23 0x00007f4ec14de7bb in QSocketNotifier::event (this=0x1acf290, e=0x7fffef94f6e0) at kernel/qsocketnotifier.cpp:317
#24 0x00007f4ec05702dc in QApplicationPrivate::notify_helper (this=0x15c5e10, receiver=0x1acf290, e=0x7fffef94f6e0) at kernel/qapplication.cpp:4445
#25 0x00007f4ec0577fa7 in QApplication::notify (this=0x15bb8b0, receiver=0x1acf290, e=0x7fffef94f6e0) at kernel/qapplication.cpp:4324
#26 0x00007f4ec2282251 in KApplication::notify (this=0x15bb8b0, receiver=0x1acf290, event=0x7fffef94f6e0) at /var/tmp/paludis/kde-base-kdelibs-4.5.95/work/kdelibs-4.5.95/kdeui/kernel/kapplication.cpp:311
#27 0x00007f4ec14bee2b in QCoreApplication::notifyInternal (this=0x15bb8b0, receiver=0x1acf290, event=0x7fffef94f6e0) at kernel/qcoreapplication.cpp:732
#28 0x00007f4ec14ef1eb in sendEvent (this=<value optimized out>) at kernel/qcoreapplication.h:215
#29 QEventDispatcherUNIX::activateSocketNotifiers (this=<value optimized out>) at kernel/qeventdispatcher_unix.cpp:876
#30 0x00007f4ec14ef539 in QEventDispatcherUNIXPrivate::doSelect (this=0x0, flags=<value optimized out>, timeout=<value optimized out>) at kernel/qeventdispatcher_unix.cpp:305
#31 0x00007f4ec14f019a in QEventDispatcherUNIX::processEvents (this=0x15c5b20, flags=) at kernel/qeventdispatcher_unix.cpp:918
#32 0x00007f4ec062dd49 in QEventDispatcherX11::processEvents (this=0x15c5b20, flags=) at kernel/qeventdispatcher_x11.cpp:152
#33 0x00007f4ec14bda32 in QEventLoop::processEvents (this=<value optimized out>, flags=) at kernel/qeventloop.cpp:149
#34 0x00007f4ec14bddfd in QEventLoop::exec (this=0x7fffef94fb00, flags=) at kernel/qeventloop.cpp:201
#35 0x00007f4ec14c05fb in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1009
#36 0x00007f4eb2bc0043 in kdemain (argc=1, argv=0x15a02c0) at /var/tmp/paludis/kde-base-plasma-workspace-4.5.95/work/plasma-workspace-4.5.95/plasma/desktop/shell/main.cpp:118
#37 0x00000000004081e4 in launch (argc=<value optimized out>, _name=0x158cac8 "/usr/bin/plasma-desktop", args=<value optimized out>, cwd=0x0, envc=0, envs=<value optimized out>, reset_env=false, tty=0x0, avoid_loops=false, startup_id_str=0x40c2c1 "0") at /var/tmp/paludis/kde-base-kdelibs-4.5.95/work/kdelibs-4.5.95/kinit/kinit.cpp:730
#38 0x0000000000408fbb in handle_launcher_request (sock=<value optimized out>, who=<value optimized out>) at /var/tmp/paludis/kde-base-kdelibs-4.5.95/work/kdelibs-4.5.95/kinit/kinit.cpp:1222
#39 0x00000000004094ba in handle_requests (waitForPid=0) at /var/tmp/paludis/kde-base-kdelibs-4.5.95/work/kdelibs-4.5.95/kinit/kinit.cpp:1415
#40 0x0000000000409957 in main (argc=4, argv=0x7fffef9508c8, envp=0x7fffef9508f0) at /var/tmp/paludis/kde-base-kdelibs-4.5.95/work/kdelibs-4.5.95/kinit/kinit.cpp:1903
Comment 12 Artur Souza (MoRpHeUz) 2011-01-07 12:47:24 UTC
Maybe this fixes the bug?
http://websvn.kde.org/trunk/KDE/kdelibs/solid/solid/devicemanager.cpp?r1=1212447&r2=1212530
Comment 13 Rafael Fernández López 2011-01-07 13:05:00 UTC
No, that assert won't fix this crash (it's actually the crash), I removed the assertion in order to stop crashing, and I was asked by Kevin to revert the commit, so the commit you are linking to is basically reintroducing the crash.

Removing the assert wasn't obviously a solution.
Comment 14 Shantanu Tushar 2011-01-07 14:02:39 UTC
As I said on one of the last comments, It had been fixed, but it has reappeared again, that is on unplugging a USB device.
The most weird thing is that now even closing Chromium has the same effect (with similar backtrace), and appears with all of my friends who are using trunk.
Comment 15 Artur Souza (MoRpHeUz) 2011-01-07 14:39:17 UTC
Here it happens when I pair any bluetooth device, when I plug/unplug any usb device.
Comment 16 Alex Fiestas 2011-01-07 15:16:28 UTC
SVN commit 1212585 by afiestas:

Only report as "deviceAdded" those devices we're really "interested" for.

If we emit "deviceAdded" for devices on which we're not interested (won't be created in UdevBackend) 
libsolid will have devices with no backend so the assert will fail.

BUG: 251356


 M  +2 -0      udevmanager.cpp  


WebSVN link: http://websvn.kde.org/?view=rev&revision=1212585
Comment 17 Pino Toscano 2011-01-07 15:23:46 UTC
*** Bug 262413 has been marked as a duplicate of this bug. ***
Comment 18 Shantanu Tushar 2011-01-07 17:34:40 UTC
Crash doesn't occur now, thanks Alex :)
Comment 19 Francesco Riosa 2011-01-08 20:56:21 UTC
Created attachment 55745 [details]
New crash information added by DrKonqi

knotify4 (4.0) on KDE Platform 4.5.95 (4.6 RC2) using Qt 4.7.1

- Unusual behavior I noticed:

same as described in other bugs, extracting the usb key crash half world.

this was NOT happening with beta 1 (4.5.90)

maybe it should be reopened?

-- Backtrace (Reduced):
#11 0x00007f708fd0e181 in Solid::DeviceManagerPrivate::_k_deviceRemoved (this=0x1658ad0, udi=...) at /usr/src/debug/kde-base/kdelibs-4.5.95/kdelibs-4.5.95/solid/solid/devicemanager.cpp:201
#12 0x00007f708fd0e661 in Solid::DeviceManagerPrivate::qt_metacall (this=0x1658ad0, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0x7fff2d512cd0) at /usr/src/debug/kde-base/kdelibs-4.5.95/kdelibs-4.5.95_build/solid/solid/devicemanager_p.moc:80
[...]
#14 0x00007f708fd1b9bf in Solid::Ifaces::DeviceManager::deviceRemoved (this=<value optimized out>, _t1=<value optimized out>) at /usr/src/debug/kde-base/kdelibs-4.5.95/kdelibs-4.5.95_build/solid/solid/ifaces/devicemanager.moc:94
#15 0x00007f708fd2a487 in Solid::Backends::UDev::UDevManager::slotDeviceRemoved (this=0x16b5d80, device=<value optimized out>) at /usr/src/debug/kde-base/kdelibs-4.5.95/kdelibs-4.5.95/solid/solid/backends/udev/udevmanager.cpp:208
#16 0x00007f708fd0ad29 in Solid::Backends::UDev::UDevManager::qt_metacall (this=0x16b5d80, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0x7fff2d512e60) at /usr/src/debug/kde-base/kdelibs-4.5.95/kdelibs-4.5.95_build/solid/solid/moc_udevmanager.cpp:78
Comment 20 Alex Fiestas 2011-01-08 21:16:10 UTC
Well, the fix will be ship with the final release (or RC2+1 in any case).

Is that backtrace completed?
Comment 21 Francesco Riosa 2011-01-09 13:33:23 UTC
(In reply to comment #20)
> Well, the fix will be ship with the final release (or RC2+1 in any case).
> 
> Is that backtrace completed?

Ask DrKonqi ;) I've seen only later that the fix was applied on 7 jan :p

Anyway it's something really reproducible, I've not touched the system, just ask and I'll send you as many backtraces as you want
Comment 22 Tommi Tervo 2011-05-18 18:05:00 UTC
*** Bug 273568 has been marked as a duplicate of this bug. ***
Comment 23 Tommi Tervo 2011-05-18 18:05:56 UTC
I can reliably reproduce this crash with current trunk build
Comment 24 Christoph Feck 2011-08-31 09:11:52 UTC
*** Bug 281086 has been marked as a duplicate of this bug. ***
Comment 25 Christoph Feck 2011-08-31 09:14:34 UTC
Confirmed by duplicate bug 281086, which is from KDE 4.7.1. Appearantly, here the USB device was present before going into suspend mode, and was not present on wakeup.
Comment 26 Christoph Feck 2011-09-20 21:32:59 UTC
I get this crash (from plasma and knotify4) on master whenever I plug/unplug a battery (openSUSE 12.1 factory).
Comment 27 Christoph Feck 2012-02-10 17:12:19 UTC
*** Bug 291415 has been marked as a duplicate of this bug. ***
Comment 28 Christoph Feck 2012-04-13 08:15:12 UTC
*** Bug 298005 has been marked as a duplicate of this bug. ***
Comment 29 Simon Andric 2012-10-22 01:43:35 UTC
Created attachment 74710 [details]
New crash information added by DrKonqi

nepomukservicestub (0.1.0) on KDE Platform 4.9.80 using Qt 4.8.4

- What I was doing when the application crashed:

in konsole i typed sudo umount -a

and got these information:

fani@avatar:~$ man umount
fani@avatar:~$ sudo umount -a
[sudo] password for fani: 
umount: /media/box: device is busy.
        (In some cases useful info about processes that use
         the device is found by lsof(8) or fuser(1))
umount: /run/user: device is busy.
        (In some cases useful info about processes that use
         the device is found by lsof(8) or fuser(1))
umount: /run/shm: device is busy.
        (In some cases useful info about processes that use
         the device is found by lsof(8) or fuser(1))
umount: /run: device is busy.
        (In some cases useful info about processes that use
         the device is found by lsof(8) or fuser(1))
umount: /dev: device is busy.
        (In some cases useful info about processes that use
         the device is found by lsof(8) or fuser(1))
umount: /: device is busy.
        (In some cases useful info about processes that use
         the device is found by lsof(8) or fuser(1))
fani@avatar:~$


and then dr. konqi appeared..

nice day!

simon

-- Backtrace (Reduced):
#8  0xb5b431df in __GI_raise (sig=6) at ../nptl/sysdeps/unix/sysv/linux/raise.c:64
#9  0xb5b46825 in __GI_abort () at abort.c:91
[...]
#13 0xb74eeb16 in qt_assert (assertion=0xb327981c "path != \"/\" || event->mask & EventIgnored", file=0xb32795d8 "/build/buildd/project-neon-nepomuk-core-2+git20121017+r1163/services/filewatch/kinotify.cpp", line=302) at global/qglobal.cpp:2013
#14 0xb327204c in KInotify::slotEvent (this=0x84cff28, socket=12) at /build/buildd/project-neon-nepomuk-core-2+git20121017+r1163/services/filewatch/kinotify.cpp:302
#15 0xb3272e3c in KInotify::qt_static_metacall (_o=0x84cff28, _c=QMetaObject::InvokeMetaMethod, _id=14, _a=0xbf912618) at /build/buildd/project-neon-nepomuk-core-2+git20121017+r1163/obj-i686-linux-gnu/services/filewatch/kinotify.moc:95
Comment 30 Myriam Schweingruber 2013-01-15 11:30:52 UTC
*** Bug 313286 has been marked as a duplicate of this bug. ***
Comment 31 Alex Fiestas 2013-03-13 00:30:49 UTC
Anyone can reproduce this bug every time?
Comment 32 Christoph Feck 2013-04-27 12:21:49 UTC
*** Bug 266383 has been marked as a duplicate of this bug. ***
Comment 33 Bernhard Jungk 2013-07-29 14:09:45 UTC
I have several possibly connected crashes (amarok, knotify, plasma-desktop, kmix,...). They all crash when unplugging a usb device, e.g. the mouse. Unfortunately the backtrace is more or less useless, because the current 4.11 RC2 kubuntu packages are missing the correct debug information (at least for now).
Comment 34 Alex Fiestas 2013-07-29 21:24:02 UTC
Today I discover the cause of this, and the way of fixing it, I will push a fix tomorrow.
Comment 35 Alex Fiestas 2013-07-30 21:08:30 UTC

*** This bug has been marked as a duplicate of bug 302243 ***